Get your profile
curl --request GET \
--url https://app.tikk.chat/api/v1/profile \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.tikk.chat/api/v1/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.tikk.chat/api/v1/profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.tikk.chat/api/v1/profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"username": "jane",
"name": "Jane Doe",
"title": "Coach",
"bio": "I help founders find focus.",
"avatar_url": "<string>",
"logo_url": "<string>",
"profile_url": "https://tikk.chat/jane",
"profile_complete": true,
"plan": "pro"
}{
"message": "Unauthenticated."
}{
"message": "Missing required scope.",
"scopes": [
"services.write"
]
}{
"message": "Too Many Attempts."
}Profile
Get your profile
Returns your public profile and plan. Services have their own endpoint,
GET /services.
Scope: profile.read
GET
/
profile
Get your profile
curl --request GET \
--url https://app.tikk.chat/api/v1/profile \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.tikk.chat/api/v1/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.tikk.chat/api/v1/profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.tikk.chat/api/v1/profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"username": "jane",
"name": "Jane Doe",
"title": "Coach",
"bio": "I help founders find focus.",
"avatar_url": "<string>",
"logo_url": "<string>",
"profile_url": "https://tikk.chat/jane",
"profile_complete": true,
"plan": "pro"
}{
"message": "Unauthenticated."
}{
"message": "Missing required scope.",
"scopes": [
"services.write"
]
}{
"message": "Too Many Attempts."
}Use
username as the data-domain attribute of the Tikk embed script to show
your booking page on any website. See the embed guide.Authorizations
Response
Your profile.